#ifndef _QTEAR_H_
#define _QTEAR_H_

#include <qwidget.h>
#include <qtimer.h> 
#include <sys/timeb.h>
#include <qspinbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlabel.h>

#include <player.h>

class QtEar : public QWidget
{
  Q_OBJECT
 private:
  Player * player;
  QSpinBox * speedBox;
  timeb * myTime;
  int speed;
  int output;
  QComboBox * outputbox;
  // Hear Intervals:
  QPushButton * intervals;
  QLabel * intlab;
  QTimer * timer;
  char * inttxt;
  // Build Intervals:
  QPushButton * intervals1;
  QLabel * intlab1;
  QTimer * timer1;
  char * inttxt1;
  int buildInt;
  // Hear Chord (3)
  QPushButton * chord3;
  QLabel * c3lab;
  QTimer * timer2;
  char * c3txt;
  

 public:
  QtEar();

 public slots:
  void startIntervals();
  void startIntervals1();
  void startChord3();
  void done();
  void done1();
  void done2();
  void updateSpeed(int);
  void updateOut(int);
  void quit();
};


#endif
